latest_security_status 为 pending。审核通过之前 Agent 不能引用这个技能,所以挂上之前请先轮询获取技能。
所需权限:
skill:create请求体
string
必填
技能名称,最多 255 个字符。在您的租户内必须唯一,创建后不能修改。
string
必填
控制台中显示的标题,最多 500 个字符。
string
技能的用途。
object
必填
已上传的技能包。
响应
object
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl -X POST 'https://app.memorylake.ai/openapi/memorylake/api/v3/skills' \
-H 'Authorization: Bearer sk_xxxxxx' \
-H 'Content-Type: application/json' \
-d '{
"name": "equity-research",
"display_title": "Equity Research",
"description": "Pulls filings and price history and drafts an equity research note",
"package_ref": {
"s3_uri": "s3://example-bucket/skill-packages/3f2a1c8e9b7d4f5a8c6b2d1e0f9a8b7c.zip"
}
}'
{
"success": true,
"data": {
"id": "skill-2b0f5f9f4ea54767822f51f4940c8f24",
"name": "equity-research",
"display_title": "Equity Research",
"description": "Pulls filings and price history and drafts an equity research note",
"latest_version": 1,
"latest_security_status": "pending",
"created_at": "2026-08-21T09:12:44Z",
"updated_at": "2026-08-21T09:12:44Z"
}
}
{
"success": false,
"message": "A skill named 'equity-research' already exists.",
"error_code": "SKILL_NAME_CONFLICT"
}
用已上传的技能包创建一个技能
curl -X POST 'https://app.memorylake.ai/openapi/memorylake/api/v3/skills' \
-H 'Authorization: Bearer sk_xxxxxx' \
-H 'Content-Type: application/json' \
-d '{
"name": "equity-research",
"display_title": "Equity Research",
"description": "Pulls filings and price history and drafts an equity research note",
"package_ref": {
"s3_uri": "s3://example-bucket/skill-packages/3f2a1c8e9b7d4f5a8c6b2d1e0f9a8b7c.zip"
}
}'
{
"success": true,
"data": {
"id": "skill-2b0f5f9f4ea54767822f51f4940c8f24",
"name": "equity-research",
"display_title": "Equity Research",
"description": "Pulls filings and price history and drafts an equity research note",
"latest_version": 1,
"latest_security_status": "pending",
"created_at": "2026-08-21T09:12:44Z",
"updated_at": "2026-08-21T09:12:44Z"
}
}
{
"success": false,
"message": "A skill named 'equity-research' already exists.",
"error_code": "SKILL_NAME_CONFLICT"
}
POST /openapi/memorylake/api/v3/skills
latest_security_status 为 pending。审核通过之前 Agent 不能引用这个技能,所以挂上之前请先轮询获取技能。
skill:createcurl -X POST 'https://app.memorylake.ai/openapi/memorylake/api/v3/skills' \
-H 'Authorization: Bearer sk_xxxxxx' \
-H 'Content-Type: application/json' \
-d '{
"name": "equity-research",
"display_title": "Equity Research",
"description": "Pulls filings and price history and drafts an equity research note",
"package_ref": {
"s3_uri": "s3://example-bucket/skill-packages/3f2a1c8e9b7d4f5a8c6b2d1e0f9a8b7c.zip"
}
}'
| 状态码 | 错误码 | 何时出现 |
|---|---|---|
400 | INVALID_ARGUMENT | package_ref.s3_uri 不是由申请技能包上传签发的、该地址上没有上传内容,或技能包为空或超过 10 MiB |
409 | SKILL_NAME_CONFLICT | 您的租户内已有同 name 的技能 |
{
"success": true,
"data": {
"id": "skill-2b0f5f9f4ea54767822f51f4940c8f24",
"name": "equity-research",
"display_title": "Equity Research",
"description": "Pulls filings and price history and drafts an equity research note",
"latest_version": 1,
"latest_security_status": "pending",
"created_at": "2026-08-21T09:12:44Z",
"updated_at": "2026-08-21T09:12:44Z"
}
}
{
"success": false,
"message": "A skill named 'equity-research' already exists.",
"error_code": "SKILL_NAME_CONFLICT"
}